<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 1.3: The For Statement</title>
<link href="sx4b.html" rev=precedes>
<link href="sx4d.html" rel=precedes>
<link href="sx4.html" rev=subdocument>
</head>
<body>
<H2>section 1.3: The For Statement</H2>

pages 13-14
<p>Deep sentence:
<blockquote>...in any context where it is
permissible to use the value of a variable of some type,
you can use a more complicated expression of that type.
</blockquote>You may have used other languages which placed restrictions on 
where you could use expressions or how complicated they could be.
C has relatively few such restrictions.
There's nothing magical about the <TT>printf</TT> call above;
this ability to perform a computation inside of an argument is
not unique to <TT>printf</TT>.
In any function call,
the arguments in the argument list are expressions,
and it doesn't matter if they are simple expressions which just
fetch the value of one variable, like <TT>fahr</TT>, or more
complicated expressions, like <TT>5.0/9.0 * (fahr - 32)</TT>.
</p><hr>
<p>
Read sequentially:
<a href="sx4b.html" rev=precedes>prev</a>
<a href="sx4d.html" rel=precedes>next</a>
<a href="sx4.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
